--
-- Lua MaoEsquerda
--
-- @author: Hugo94Fr
-- @date: 13/09/2015
-- @time: 23h11

MaoEsquerda = {};

function MaoEsquerda.prerequisitesPresent(specializations)
    return true;
end;

function MaoEsquerda:load(savegame)
    self.Mao = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.characterNode#MaoEsquerdaIndex"));
end;

function MaoEsquerda:postLoad(xmlFile)
    if self.Mao ~= nil then
        setVisibility(self.Mao, false);
    end;
end;

function MaoEsquerda:delete()
end;

function MaoEsquerda:readStream(streamId, connection)
end;

function MaoEsquerda:writeStream(streamId, connection)
end;

function MaoEsquerda:loadFromAttributesAndNodes(xmlFile, key, resetVehicles)
end;

function MaoEsquerda:getSaveAttributesAndNodes(nodeIdent)
end;

function MaoEsquerda:mouseEvent(posX, posY, isDown, isUp, button)
end;

function MaoEsquerda:keyEvent(unicode, sym, modifier, isDown)
end;

function MaoEsquerda:update(dt)
end;

function MaoEsquerda:updateTick(dt)
end;

function MaoEsquerda:draw()
end;

function MaoEsquerda:onEnter()
    if self.Mao ~= nil then
        setVisibility(self.Mao, true);
    end;
end;

function MaoEsquerda:onLeave()
    if self.Mao ~= nil then
        if self.disableCharacterOnLeave then
            setVisibility(self.Mao, false);
        else
            setVisibility(self.Mao, true);
        end;
    end;
end;
